» Post Restrictions plugin for Wordpress

To reach more readers the following post is in english (Um mehr Leser zu erreichen, ist der folgende Beitrag in englisch).

What does this plugin do?

The Post Restrictions plugin shows private posts to other users if at least one of the user’s capabilities meets one of the post’s capabilities.

Make it quick. Where can I download it?

Download Post Restrictions 1.1 here!

How do I install the plugin?

As with the most Wordpress plugins, installation is easy:

  • Download the Post Restrictions plugin and extract it to your Wordpress plugins directory.
  • Activate the plugin in your Wordpress admin panel.
  • Ready. It couldn’t be easier. The rest is self-explanatory. ;)

[…]

» Würgpress 2.0

Ja, ich habe ein Wordpress Blog am Laufen. Ja, ich schreibe sogar Wordpress Plugins. Nein, die Wordpress-Releasepolitik verstehe ich dennoch nicht.

Genauso hat auch schon mein letzter Post bezüglich eines neuen Wordpress Releases angefangen und so beginnt es etwas unpünktlich zum neuen Release 2.0 erneut. Was soll ich sagen: Geändert hat sich nicht viel. An dieser Stelle bitte einen Herz erweichenden Seufzer einspielen. Gemerkt haben es diesmal allerdings noch ein paar andere Blogger: http://somethingunpredictable.com/whats-already-broke-in-20/.
[…]

» Exec-PHP plugin for Wordpress

To reach more readers the following post is in english (Um mehr Leser zu erreichen, ist der folgende Beitrag in englisch).

What does this plugin do?

The Exec-PHP plugin allows tags inside your Wordpress posts and pages to execute the code inside of it just like you normally write and run code inside of any PHP file.

Make it quick. Where can I download it?

Download Exec-PHP 2.0 here!

How do I install the plugin?

As with the most Wordpress plugins, installation is easy:

  • Download the Exec-PHP plugin and extract it to your Wordpress wp-content directory.
  • Activate the plugin in your Wordpress admin panel.
  • Ready. It couldn’t be easier. The rest is self-explanatory. ;)

[…]

» Würgpress 1.5.2

Ja, ich habe ein Wordpress Blog am Laufen. Ja, ich schreibe sogar Wordpress Plugins. Nein, die Wordpress-Releasepolitik verstehe ich dennoch nicht.

Das Wordpress Projekt wird schlechter geführt als ein Stundenhotel im Frankfurter Bahnhofsviertel. Das Release-Datum der nächsten Version wird normalerweise durch den Wurf eines 365seitigen Würfels ermittelt und der Wert zum heutigen Datum addiert. Damit es für Supporter wie z.B. Übersetzer, Plugin-Entwickler und anderem Gesindel nicht ganz so einfach gemacht wird, zeitnah nötige Anpassungen anzubieten, wird das Ergebnis des Wurfs natürlich geheim gehalten. So ist die freudige Überraschung ja auch viel größer. Z.B. darüber, dass sämtliche Plugins mit der neuen Version nicht mehr funktionieren. Nicht so wichtig, dafür gibts ja schliesslich die Möglichkeit Plugins abzuschalten (und nur dafür!). […]

» Comvatars plugin for Wordpress

To reach more readers the following post is in english (Um mehr Leser zu erreichen, ist der folgende Beitrag in englisch).

What does this plugin do?

The Comvatars plugin shows avatar images like this on user comments of Wordpress blogs to uniquely identify the author of a comment much like various bulletin board systems do.

Make it quick. Where can I download it?

Download Comvatars 2.4 here!

Download Comvatars Avatar Images 2.4 here!

How do I install the plugin?

As with the most Wordpress plugins, installation is easy:

  • Dowload the Comvatars plugin and extract it to your Wordpress installation directory.
  • Download the Comvatars Avatar Images and extract them to your Wordpress installation directory.
  • Activate the Comvatars plugin in your Wordpress admin panel.
  • Ready. It couldn’t be easier. The rest is self-explanatory. ;)

[…]

» Umlaute

Was habe ich getan? Umlaute sind mein Untergang. Und der Anfang wurde bereits bei meiner Geburt gemacht, als mich meine Mutter “Sören” nennen musste. Nicht sehr weitsichtig, wie sich im Laufe meines Lebens rausstellte.

Da ich sämtliche Beiträge meines Blogs ohne HTML Umlaut-Entitäten (man kennt sie, die schönen äs und ßs) geschrieben habe, musste sich das ja mal eines Tages rächen. Ungefähr gestern war es dann soweit. Zur Zeit habe ich die Qual der Wahl meine Seiten entweder in UTF-8 oder ISO-8859-1 ausgeben zu lassen. In keiner Variante sieht meine Seite wirklich top aus. In UTF-8 werden sämtliche Umlaute durch ein ? ersetzt. In ISO-8859-1 können zwar in der Regel Deutsche diese Seite wunderbar betrachten, Ausländer haben es da aber schon schwieriger. Ich habe leider noch keinen Screenshot davon gesehen, habe aber das Schlimmste berichtet bekommen. Da hilft nur eines: In sämtlichen Datenbank-Feldern müssen die Umlaute durch Entitäten ersetzt werden.

Die 100 Euro Frage: Wie mache ich das?
Die 500 Euro Frage: Wo kann ich das runterladen?
Die 1000 Euro Frage: Welche Datenbank-Felder müssen konvertiert werden?
Und die Bonus-Verdoppelungsfrage: Drüfen, oder gar müssen, Benutzernamen auch konvertiert werden?

Während ihr versucht die Fragen zu beantworten, drehe ich schon mal durch…

» Gravatars-Addendum plugin for Wordpress

To reach more readers the following post is in english (Um mehr Leser zu erreichen, ist der folgende Beitrag in englisch).

Update 2005-06-08: This plugin is still downloadable but further development is now abandoned. Take a look at its successor, the Comvatars plugin, for a much improved functionality.

A year ago when I started this Wordpress Blog I fooled around with a new service called Gravatars (Globally recognized avatars) but the provided WP plugin was very basic and missed all of the elegance known when installing other WP plugins. So I modified the original basic plugin to make things for others a little easier and published it (the post is almost comletely in german). Almost a year ago things have changed much and my initial plugin has been outdated because of a new, much better plugin also called “Gravatars” provided by Skippy.

Nevertheless I missed some functionality for people who just want to easly install it and see how it works. No default style is provided with the basic Gravatars plugin. So here it is, an addon for the plugin that just do exactly this. It will only work if the original Gravatars by Skippy is installed and activated and you follow this simple configuration adivces for his plugin:

  • Delete local avatars
  • Delete cached avatars
  • Default gravatar size = 16
  • Default gravatar image = //wp-content/gravatars-addendum/guest.gif
  • Cache gravatars = No
  • Allow local gravatars = No

To install this plugin just extract the provided archive into your wp-content folder and activate it in the admin panel after you followed the above instructions. So in the end the Gravatars AND Gravatars-Addendum Plugin must be activated in your admin panel.

Update 2005-06-08: This plugin is still downloadable but further development is now abandoned. Take a look at its successor, the Comvatars plugin, for a much improved functionality.

For the curious: A complete list of plugins running this blog can be found here.

» Plugins-Used plugin branch

To reach more readers the following post is in english (Um mehr Leser zu erreichen, ist der folgende Beitrag in englisch).

I just saw this great plugin “Plugins Used” showing all the currently installed and active plugins of a Wordpress installation by Andrew Chen. Sorrowly it was not working for me at the first time. It generated some ugly PHP warnings but else was functioning correct. The warnings were because of emtpy array elements tried to be processed, so I wrote some additional lines to ignore them. The better way would be to find out why there were empty elements but I was lazy and so only fixed the symptoms. I may contact Andrew Chen and he will provide a new version. In this case this branch will be abandoned. Until that the plugin can be downloaded here. Just extract the provided archive into your wp-content folder and activate it in the admin panel.

The bugfix contains the following new features:

  • Bugfix: Ignoring empty elements in plugin array avoiding PHP warnings.

Update 2005-09-14: Andrew has updated the plugin to version 0.1.10 and besides my fix also incorporated some other minor bugfixes. So there is no need to maintain this branch any longer.

For the curious: A complete list of plugins running this blog can be found here.

» Post Levels plugin branch

To reach more readers the following post is in english (Um mehr Leser zu erreichen, ist der folgende Beitrag in englisch).

There’s a great plugin on the net called Post Levels. At the time of writing this post it is in version 0.2.1. and has a major issue with Wordpress 1.5.1.x installations. Basically spoken the plugin shows certain posts only to registered user with a given user level. With the original plugin this works great in general but fails if you want to show up only a single post that is restricted by the Post Levels plugin. Such a case for example appears if you try to comment on a post restricted by Post Levels.

The original writer Filipe Fortes did a great job on writing this plugin but currently seems not to have time to support it. I fixed the above issue with some kind of hack, but it works well for me. Besides extracting the provided archive into your wp-content folder and activate it in the admin panel, nothing else is to do. You can read about the changes I did to the plugin in the comments of Filipes blog. Because copying the code into the comments proofed to be error prone I now release a fixed branched version 0.2.1.1.1 of the plugin. My branch may be abandoned when Filipe provides an official bug fix or new version. Until that you’ll find the branched plugin here.

The bugfix contains the following new features:

  • Bugfix: Let posts show up even for Level 0 users.
  • Bugfix: Let posts show up in single post view for WP 1.5.1.x.
  • Feature: Showing an icon and the level near the post title to indicate the restriction. Idea and artwork from the abandoned Viewlevel plugin by Kendra Burbank. You can configure this feature in the code but also works great by default.

For the curious: A complete list of plugins running this blog can be found here.

» Wordpress Upgrade

Es ist doch tatsächlich vollbracht. Das Wordpress hat ein Upgrade auf Version 1.5.1.2 erfahren. Abgesehen davon haben die Urlaubsseiten ein etwas schöneres Layout bekommen. Das sollte ja eigenlich kurz nach der WP 1.2. Integration im letzten Jahr passieren… Na ja, gut Ding’ will Weile haben.

Auf jeden Fall scheint jetzt alles erstmal wieder zu funzen. Gegen Trackback- und Kommentarspam habe ich die Plugins TB-Spamblocker und Hashcash installiert. Zuletzt hat das mit WP 1.2 doch stark Überhand genommen. Ich bin gespannt, wie die Plugins sich bewähren werden.

Bad Behavior has blocked 611 access attempts in the last 7 days.